{% extends "base.html.twig"%}
{% block stylesheets %}
{{ parent()}}
    <link rel="stylesheet" href="styles/userList.css">
{% endblock %}
{% block content %}
<div class="content">
    {% if error %}
        <p>No user found</p>
    {% endif %}
    <div class="user__list">
        <div class="user__new">
            <a class="user__button user__button--new" href="{{path('create_userForm')}}">New</a>
            <form method="post" action="/search">
                <img class="search__icon" src="{{ asset ('assets/icons/loupe.svg')}}" alt="">
                <input class="search__input " type="text" value="User name" name="username" autofocus>
                <button class="user__button user__button--search" type="submit" >Search</button>
            </form>
        </div>
         {% for message in app.flashes('notice') %}
                <div class="flash-notice">
                    {{ message }}
                </div>
                {% endfor %}
        <table class="table">
            <tr class="table__header">
                <th class="table__header">Id</th>
                <th class="table__header">Name</th>
                <th class="table__header">Email</th>
                <th class="table__heade">Comments</th>
                <th></th>
                <th></th>
            </tr>
            {% for user in users %}
                {% if loop.index %2 == 0  %}
                    <tr class="table__row" style="background-color: rgb(216, 216, 216);">
                {% else %} 
                    <tr class="table__row" style="background-color: white;">
                {% endif %}
                    <td class="user__text">{{user.id}}</td>
                  
                    <td class="user__text">{{user.username}}</td>
                    <td class="user__text">{{user.email}}</td>
                    <td class="user__text-comments">{{user.comments}}</td>
                    <td class=""><a href="{{path('modify_user',{id:user.id})}}" class="user__button user__button--modify">Modify</a></td>
                    <td class=""><a href="{{path('delete_user',{id:user.id})}}" class="user__button user__button--delete">Delete</a></td>
            </tr>
            {% endfor %}
        </table>
    </div>
</div>
{% endblock %}